﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using DynamicStyling.Business_Classes;
using System.Windows.Media;

namespace DynamicStyling.Converters
{
    public class DoubleToColorConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            if (value is int)
            {
                int temp = (int)value;

                if (temp < 0)
                    return Brushes.Red;
                if (temp > 0 && temp <= 10)
                    return Brushes.Black;
                if (temp > 10 && temp <= 15)
                    return Brushes.Blue;
                if (temp > 15)
                    return Brushes.DarkGreen;
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
