﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;
using DynamicStyling.Business_Classes;

namespace DynamicStyling.Converters
{
    public class GenderToColorConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;

            if (value is Gender)
            {
                Gender temp = (Gender)value;

                switch (temp)
                {
                    case Gender.Male:
                        {
                            return Colors.Blue;
                        }
                    case Gender.Female:
                        {
                            return Colors.Red;
                        }
                    default:
                        {
                            return Colors.Black;
                        }
                }
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
