﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows;

namespace DynamicStyling.Converters
{
    public class ProbationAndSalaryToColorConverter : IMultiValueConverter
    {
        #region IMultiValueConverter Members

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values != null)
            {
                if (values[0] != DependencyProperty.UnsetValue && values[1] != DependencyProperty.UnsetValue)
                {
                    int probation = (int)values[0];
                    double salary = (double)values[1];

                    // This color is randomly generated as there is no real logic for converting between the values
                    // This is just to show the use of IMultiValueConverter
                    int seed = (int)salary / Math.Abs(probation);

                    byte red = byte.Parse(new Random(seed).Next(0, 255).ToString());
                    byte green = byte.Parse(new Random(seed).Next(0, 255).ToString());
                    byte blue = byte.Parse(new Random(seed).Next(0, 255).ToString());

                    Color color = new Color();
                    color.R = red;
                    color.G = green;
                    color.B = blue;
                    color.A = 255;

                    return new SolidColorBrush(color);
                }
            }

            return null;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
